#ifndef SYSTEM_H
#define SYSTEM_H
/*
	All system specific definitions go here
*/

#define DLL_CTYPE
#define DLL_MARK

#ifdef linux
#define SignalHandler __sighandler_t
#ifdef i386
#define IS_SUPPORTED
typedef unsigned long in_addr_t;
#endif /* i386 */
#endif /* linux */

#ifdef __osf__
#define IS_SUPPORTED
#include <alloca.h>
typedef void (*SignalHandler)(int);
#endif /* __osf__ */

#endif /* SYSTEM_H */
